Get user KLend rewards
curl --request GET \
--url https://api.kamino.finance/klend/users/{pubkey}/rewardsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/klend/users/{pubkey}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/klend/users/{pubkey}/rewards"
response = requests.get(url)
print(response.text)false{
"avgBaseApy": "0.123",
"avgBoostedApy": "0.123",
"avgMaxApy": "0.123",
"rewards": [
{
"depositReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"borrowReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"market": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"rewardMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"lastCalculated": "2023-11-07T05:31:56Z",
"tokensEarned": "1234.56789",
"tokensPerSecond": "1234.56789",
"stakingBoost": "1234.56789",
"effectiveStakingBoost": "1234.56789",
"baseApy": "0.123",
"boostedApy": "0.123",
"maxApy": "0.123",
"usdAmount": "1234.56789",
"usdAmountBoosted": "1234.56789"
}
]
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}User and Loans Data
Get user KLend rewards
Fetches KLend reward data for a specific user and points source
GET
/
klend
/
users
/
{pubkey}
/
rewards
Get user KLend rewards
curl --request GET \
--url https://api.kamino.finance/klend/users/{pubkey}/rewardsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/klend/users/{pubkey}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/klend/users/{pubkey}/rewards"
response = requests.get(url)
print(response.text)false{
"avgBaseApy": "0.123",
"avgBoostedApy": "0.123",
"avgMaxApy": "0.123",
"rewards": [
{
"depositReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"borrowReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"market": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"rewardMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"lastCalculated": "2023-11-07T05:31:56Z",
"tokensEarned": "1234.56789",
"tokensPerSecond": "1234.56789",
"stakingBoost": "1234.56789",
"effectiveStakingBoost": "1234.56789",
"baseApy": "0.123",
"boostedApy": "0.123",
"maxApy": "0.123",
"usdAmount": "1234.56789",
"usdAmountBoosted": "1234.56789"
}
]
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Path Parameters
Valid base58-encoded address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Query Parameters
Points source identifier
Examples:
"Season1"
"Season2"
"Season3"
"Season4"
Response
OK
Weighted average Base Annual Percentage Yield for the user
Example:
"0.123"
Weighted average Boosted Annual Percentage Yield for the user
Example:
"0.123"
Weighted average Max Annual Percentage Yield for the user
Example:
"0.123"
List of klend user reward metrics
Show child attributes
Show child attributes